## edu.stanford.nlp.process
Interface ListProcessor<IN,OUT>

All Known Implementing Classes:
  MaxentTagger, WordToSentenceProcessor

    public interface ListProcessor<IN,OUT>

An interface for things that operate on a List. This is seen as a lighter weight and more general interface than the Processor interface for documents. IN and OUT are the type of the objects in the List. The `process` method acts on a List of IN and produces a List of OUT.

Author:
  Teg Grenager

Method Summary
`List<OUT>` `process(List<? extends IN> list)` Take a List (including a Sentence) of input, and return a List that has been processed in some way.

Method Detail

### process

    List<OUT> process(List<? extends IN> list)

  Take a List (including a Sentence) of input, and return a List that has been processed in some way.

Stanford NLP Group